!lua

-- Cabin Lights for UTT A359.lua
-- Mood lighting which changes based on time of day.

local LocalTime = varget("E:LOCAL TIME", "seconds")
local CabinLight = varget("A:LIGHT NAV", "Bool")
local BeaconLight = varget("A:LIGHT BEACON", "Bool")
local Altitude = varget("A:PLANE ALT ABOVE GROUND", "feet")

if Altitude < 8000 and BeaconLight > 0 and LocalTime > 32400 and LocalTime < 61200 then
    TextureName = "UTT_A350-900_L_dim.DDS"
	elseif BeaconLight > 0 and LocalTime > 18000 and LocalTime < 21600 then
	TextureName = "UTT_A350-900_L_mood5.DDS"
	elseif BeaconLight > 0 and LocalTime > 21600 and LocalTime < 25200 then
	TextureName = "UTT_A350-900_L_mood3.DDS"
	elseif BeaconLight > 0 and LocalTime > 25200 and LocalTime < 32400 then
	TextureName = "UTT_A350-900_L_mood2.DDS"
	elseif BeaconLight > 0 and LocalTime > 32400 and LocalTime < 61200 then
	TextureName = "UTT_A350-900_L.DDS"
	elseif BeaconLight > 0 and LocalTime > 61200 and LocalTime < 68400 then
	TextureName = "UTT_A350-900_L_mood1.DDS"
	elseif BeaconLight > 0 and LocalTime > 68400 and LocalTime < 75600 then
	TextureName = "UTT_A350-900_L_mood2.DDS"
	elseif BeaconLight > 0 and LocalTime > 75600 and LocalTime < 82800 then
	TextureName = "UTT_A350-900_L_mood3.DDS"
	elseif BeaconLight > 0 and LocalTime > 82800 and LocalTime < 86400 then
	TextureName = "UTT_A350-900_L_mood4.DDS"
	elseif BeaconLight > 0 and LocalTime > 0 and LocalTime < 18000 then
	TextureName = "UTT_A350-900_L_mood4.DDS"
	elseif Altitude < 8000 and BeaconLight == 0 and CabinLight > 0 then
	TextureName = "UTT_A350-900_L.DDS"
	else
    TextureName = ""
	end

varset("T:EmissiveTexture","String",TextureName)